# INSTRUCCIONES DE INSTALACIÓN - SISTEMA DE CERTIFICADOS ESIBOC

## PASO A PASO PARA PRINCIPIANTES

### 1. PREPARAR LOS ARCHIVOS

1. **Descargar todos los archivos** del sistema
2. **Crear la siguiente estructura de carpetas** en su computador:

\`\`\`
sistema-certificados/
├── config/
│   ├── config.php
│   └── Database.php
├── classes/
│   ├── Auth.php
│   ├── Participante.php
│   └── Curso.php
├── database/
│   └── schema.sql
├── uploads/
├── templates/
├── logs/
├── index.php
└── install.php
\`\`\`

### 2. SUBIR ARCHIVOS AL HOSTING

1. **Acceder al panel de control** de su hosting (cPanel, Plesk, etc.)
2. **Ir al administrador de archivos** (File Manager)
3. **Navegar a la carpeta public_html** (o la carpeta principal de su dominio)
4. **Subir todos los archivos** manteniendo la estructura de carpetas
5. **Verificar que todos los archivos** estén en su lugar

### 3. CREAR BASE DE DATOS

1. **Ir a MySQL Databases** en su panel de hosting
2. **Crear una nueva base de datos** llamada: `bomberos_certificados`
3. **Crear un usuario** para la base de datos
4. **Asignar todos los privilegios** al usuario sobre la base de datos
5. **Anotar los datos**:
   - Servidor: localhost (generalmente)
   - Nombre de BD: bomberos_certificados
   - Usuario: el que creó
   - Contraseña: la que asignó

### 4. EJECUTAR INSTALACIÓN

1. **Abrir su navegador** y ir a: `http://sudominio.com/install.php`
2. **Seguir los 3 pasos** del instalador:
   - Paso 1: Ingresar datos de base de datos
   - Paso 2: Crear tablas y configuración
   - Paso 3: Completar instalación
3. **Eliminar el archivo install.php** por seguridad

### 5. ACCEDER AL SISTEMA

1. **Ir a**: `http://sudominio.com/index.php`
2. **Hacer clic en "Iniciar Sesión"**
3. **Usar las credenciales**:
   - Email: admin@esiboc.edu.co
   - Contraseña: password123

### 6. CONFIGURACIÓN INICIAL

1. **Cambiar las contraseñas** de todos los usuarios
2. **Crear usuarios reales** para su institución
3. **Configurar los datos** de su escuela
4. **Hacer una copia de seguridad** de la base de datos

## SOLUCIÓN DE PROBLEMAS COMUNES

### Error de Conexión a Base de Datos
- Verificar que los datos de conexión sean correctos
- Asegurarse de que el usuario tenga permisos
- Contactar al soporte de hosting si persiste

### Error 500 - Internal Server Error
- Verificar que todos los archivos estén subidos
- Revisar los permisos de las carpetas (755 para carpetas, 644 para archivos)
- Verificar que PHP esté habilitado

### No se ven los estilos (CSS)
- Verificar que la URL en config.php sea correcta
- Asegurarse de que el archivo index.php esté en la carpeta correcta

## CONTACTO Y SOPORTE

Si tiene problemas con la instalación:
1. Revisar esta guía paso a paso
2. Verificar que todos los archivos estén en su lugar
3. Contactar al soporte técnico de su hosting
4. Enviar capturas de pantalla de los errores

## CARACTERÍSTICAS DEL SISTEMA

✅ Gestión completa de participantes
✅ Administración de cursos
✅ Sistema de usuarios con roles
✅ Verificación de certificados
✅ Interfaz responsive y moderna
✅ Base de datos MySQL completa
✅ Sistema de logs y auditoría
✅ Instalación automática

## PRÓXIMAS ACTUALIZACIONES

- Generación de certificados PDF
- Sistema de firmas digitales
- Módulo de reportes
- Integración con APIs externas
- Sistema de notificaciones
