<?php
// API de autenticación simple
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Authorization');

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    exit(0);
}

// Incluir configuración
include_once '../config/database.php';

// Función para generar token simple
function generateSimpleToken($userId, $email) {
    $data = [
        'user_id' => $userId,
        'email' => $email,
        'timestamp' => time()
    ];
    return base64_encode(json_encode($data));
}

// Procesar solicitud POST (login)
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $input = json_decode(file_get_contents('php://input'), true);
    
    if (!isset($input['email']) || !isset($input['password'])) {
        echo json_encode(['success' => false, 'message' => 'Email y contraseña requeridos']);
        exit;
    }
    
    $email = $input['email'];
    $password = $input['password'];
    
    try {
        $conn = getConnection();
        
        // Buscar usuario
        $stmt = $conn->prepare("SELECT id, email, nombre, rol FROM usuarios WHERE email = ? LIMIT 1");
        $stmt->execute([$email]);
        $user = $stmt->fetch(PDO::FETCH_ASSOC);
        
        if ($user) {
            // Por ahora, aceptar cualquier contraseña para pruebas
            if ($password === 'password123' || $password === 'admin123') {
                $token = generateSimpleToken($user['id'], $user['email']);
                
                echo json_encode([
                    'success' => true,
                    'message' => 'Login exitoso',
                    'token' => $token,
                    'user' => [
                        'id' => $user['id'],
                        'email' => $user['email'],
                        'nombre' => $user['nombre'],
                        'rol' => $user['rol']
                    ]
                ]);
            } else {
                echo json_encode(['success' => false, 'message' => 'Contraseña incorrecta']);
            }
        } else {
            echo json_encode(['success' => false, 'message' => 'Usuario no encontrado']);
        }
        
    } catch (Exception $e) {
        echo json_encode(['success' => false, 'message' => 'Error del servidor: ' . $e->getMessage()]);
    }
    
} else {
    // GET request - mostrar información de la API
    echo json_encode([
        'status' => 'API Auth funcionando',
        'version' => '1.0',
        'methods' => ['POST'],
        'test_credentials' => [
            'email' => 'admin@esiboc.edu.co',
            'password' => 'password123'
        ]
    ]);
}
?>
