<?php
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Authorization');

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    exit(0);
}

try {
    $pdo = new PDO("mysql:host=localhost;dbname=wwesib_bomberos_certificados", "wwesib_bomberos_certificados", "Serrano10$");
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    $method = $_SERVER['REQUEST_METHOD'];
    
    switch ($method) {
        case 'GET':
            if (isset($_GET['id'])) {
                $stmt = $pdo->prepare("SELECT * FROM cursos WHERE id = ?");
                $stmt->execute([$_GET['id']]);
                $curso = $stmt->fetch(PDO::FETCH_ASSOC);
                
                if ($curso) {
                    echo json_encode(['success' => true, 'data' => $curso]);
                } else {
                    echo json_encode(['success' => false, 'message' => 'Curso no encontrado']);
                }
            } else {
                $stmt = $pdo->query("SELECT * FROM cursos ORDER BY fecha_inicio DESC");
                $cursos = $stmt->fetchAll(PDO::FETCH_ASSOC);
                echo json_encode(['success' => true, 'data' => $cursos]);
            }
            break;
            
        case 'POST':
            $input = json_decode(file_get_contents('php://input'), true);
            
            $stmt = $pdo->prepare("INSERT INTO cursos (nombre, descripcion, tipo, modalidad, duracion_horas, fecha_inicio, fecha_fin, instructor, lugar, cupo_maximo, costo, estado) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
            
            if ($stmt->execute([
                $input['nombre'],
                $input['descripcion'] ?? '',
                $input['tipo'] ?? 'capacitacion',
                $input['modalidad'] ?? 'presencial',
                $input['duracion_horas'] ?? 0,
                $input['fecha_inicio'],
                $input['fecha_fin'] ?? null,
                $input['instructor'] ?? '',
                $input['lugar'] ?? '',
                $input['cupo_maximo'] ?? 30,
                $input['costo'] ?? 0,
                $input['estado'] ?? 'activo'
            ])) {
                echo json_encode(['success' => true, 'message' => 'Curso creado exitosamente', 'id' => $pdo->lastInsertId()]);
            } else {
                echo json_encode(['success' => false, 'message' => 'Error al crear curso']);
            }
            break;
            
        default:
            echo json_encode(['success' => false, 'message' => 'Método no permitido']);
    }
    
} catch (Exception $e) {
    echo json_encode(['success' => false, 'message' => 'Error: ' . $e->getMessage()]);
}
?>
