<?php
// Diagnóstico simple sin dependencias
header('Content-Type: application/json');

// Información básica
$info = [
    'status' => 'online',
    'timestamp' => date('Y-m-d H:i:s'),
    'php_version' => PHP_VERSION,
    'server' => $_SERVER['SERVER_SOFTWARE'],
    'ssl' => (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') ? 'Activo' : 'Inactivo'
];

// Verificar extensiones
$extensions = [
    'pdo' => extension_loaded('pdo'),
    'pdo_mysql' => extension_loaded('pdo_mysql'),
    'json' => extension_loaded('json'),
    'mbstring' => extension_loaded('mbstring')
];

// Probar conexión a base de datos
try {
    $host = 'localhost';
    $dbname = 'wwesib_bomberos_certificados';
    $username = 'wwesib_bomberos_certificados';
    $password = 'Serrano10$';
    
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    // Verificar tablas
    $tables = [];
    $stmt = $pdo->query("SHOW TABLES");
    while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
        $tables[] = $row[0];
    }
    
    $db_status = [
        'connected' => true,
        'tables' => $tables,
        'tables_count' => count($tables)
    ];
    
} catch (PDOException $e) {
    $db_status = [
        'connected' => false,
        'error' => $e->getMessage()
    ];
}

// Resultado final
$result = [
    'info' => $info,
    'extensions' => $extensions,
    'database' => $db_status,
    'files' => [
        'auth.php' => file_exists('auth.php'),
        'participantes.php' => file_exists('participantes.php'),
        'cursos.php' => file_exists('cursos.php')
    ]
];

echo json_encode($result, JSON_PRETTY_PRINT);
?>
