<?php
require_once '../config/database.php';

try {
    $db = new Database();
    $result = $db->testConnection();
    
    if ($result['success']) {
        $conn = $db->getConnection();
        
        // Verificar tablas
        $tables = ['usuarios', 'participantes', 'cursos', 'certificados', 'matriculas', 'calificaciones', 'firmas', 'logs_auditoria'];
        $tableStatus = [];
        
        foreach ($tables as $table) {
            try {
                $stmt = $conn->query("SELECT COUNT(*) as count FROM $table");
                $count = $stmt->fetch()['count'];
                $tableStatus[$table] = [
                    'exists' => true,
                    'count' => (int)$count
                ];
            } catch (Exception $e) {
                $tableStatus[$table] = [
                    'exists' => false,
                    'error' => $e->getMessage()
                ];
            }
        }
        
        echo json_encode([
            'success' => true,
            'message' => 'Sistema funcionando correctamente',
            'ssl' => 'Activo',
            'database' => 'Conectado',
            'php_version' => PHP_VERSION,
            'tables' => $tableStatus,
            'api_url' => API_URL,
            'timestamp' => date('Y-m-d H:i:s')
        ], JSON_PRETTY_PRINT);
        
    } else {
        throw new Exception($result['message']);
    }
    
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode([
        'success' => false,
        'message' => 'Error del sistema: ' . $e->getMessage(),
        'timestamp' => date('Y-m-d H:i:s')
    ], JSON_PRETTY_PRINT);
}
?>
