<?php
// Script simple para probar la conexión
header('Content-Type: application/json');

try {
    // Incluir configuración
    include_once '../config/database.php';
    
    // Probar conexión
    $result = testConnection();
    
    if ($result['success']) {
        $conn = getConnection();
        
        // Contar registros en cada tabla
        $tables = ['usuarios', 'participantes', 'cursos', 'certificados', 'matriculas', 'calificaciones', 'firmas', 'logs_auditoria'];
        $counts = [];
        
        foreach ($tables as $table) {
            try {
                $stmt = $conn->query("SELECT COUNT(*) as count FROM $table");
                $count = $stmt->fetch()['count'];
                $counts[$table] = $count;
            } catch (Exception $e) {
                $counts[$table] = 'Error: ' . $e->getMessage();
            }
        }
        
        echo json_encode([
            'success' => true,
            'message' => 'Base de datos funcionando correctamente',
            'connection' => 'OK',
            'tables' => $counts,
            'timestamp' => date('Y-m-d H:i:s')
        ]);
        
    } else {
        echo json_encode([
            'success' => false,
            'message' => $result['message'],
            'timestamp' => date('Y-m-d H:i:s')
        ]);
    }
    
} catch (Exception $e) {
    echo json_encode([
        'success' => false,
        'message' => 'Error: ' . $e->getMessage(),
        'timestamp' => date('Y-m-d H:i:s')
    ]);
}
?>
