<?php
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Authorization');

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    exit(0);
}

// Configuración de base de datos
$host = 'localhost';
$dbname = 'wwesib_bomberos_certificados';
$username = 'wwesib_bomberos_certificados';
$password = 'Serrano10$';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8mb4", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e) {
    echo json_encode(['success' => false, 'message' => 'Error de conexión: ' . $e->getMessage()]);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['codigo'])) {
    $codigo = $_GET['codigo'];
    
    $stmt = $pdo->prepare("
        SELECT 
            c.*,
            p.nombre,
            p.apellido,
            p.cedula,
            cur.nombre as curso_nombre,
            cur.duracion_horas,
            cur.descripcion as curso_descripcion,
            f.nombre_firmante,
            f.cargo_firmante,
            f.fecha_firma
        FROM certificados c
        JOIN participantes p ON c.participante_id = p.id
        JOIN cursos cur ON c.curso_id = cur.id
        LEFT JOIN firmas f ON c.id = f.certificado_id AND f.estado = 'firmado'
        WHERE c.codigo = ? AND c.estado = 'emitido'
    ");
    
    $stmt->execute([$codigo]);
    $certificado = $stmt->fetch(PDO::FETCH_ASSOC);
    
    if ($certificado) {
        echo json_encode([
            'success' => true,
            'message' => 'Certificado válido',
            'data' => [
                'codigo' => $certificado['codigo'],
                'participante' => $certificado['nombre'] . ' ' . $certificado['apellido'],
                'cedula' => $certificado['cedula'],
                'curso' => $certificado['curso_nombre'],
                'duracion' => $certificado['duracion_horas'] . ' horas',
                'fecha_emision' => $certificado['fecha_emision'],
                'estado' => $certificado['estado'],
                'firmante' => $certificado['nombre_firmante'],
                'cargo_firmante' => $certificado['cargo_firmante'],
                'fecha_firma' => $certificado['fecha_firma'],
                'valido' => true
            ]
        ]);
    } else {
        echo json_encode([
            'success' => false,
            'message' => 'Certificado no encontrado o no válido',
            'data' => ['valido' => false]
        ]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Código de certificado requerido']);
}
?>
