<?php
// VERIFICADOR DE CERTIFICADOS
$host = 'localhost';
$dbname = 'wwesib_bomberos_certificados';
$username = 'wwesib_bomberos_certificados';
$password = 'Serrano10$';

$codigo = $_GET['codigo'] ?? '';
$certificado = null;
$error = '';

if ($codigo) {
    try {
        $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8mb4", $username, $password);
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        
        $stmt = $pdo->prepare("
            SELECT cert.*, p.nombre, p.apellido, p.cedula, c.nombre as curso_nombre, c.duracion_horas 
            FROM certificados cert 
            LEFT JOIN participantes p ON cert.participante_id = p.id 
            LEFT JOIN cursos c ON cert.curso_id = c.id 
            WHERE cert.codigo = ?
        ");
        $stmt->execute([$codigo]);
        $certificado = $stmt->fetch();
        
    } catch(Exception $e) {
        $error = $e->getMessage();
    }
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Verificar Certificado - ESIBOC</title>
    <style>
        body { font-family: Arial, sans-serif; margin: 0; padding: 20px; background: #f5f5f5; }
        .container { max-width: 600px; margin: 0 auto; background: white; padding: 30px; border-radius: 8px; box-shadow: 0 4px 6px rgba(0,0,0,0.1); }
        .header { text-align: center; margin-bottom: 30px; }
        .certificado { border: 3px solid #27ae60; padding: 20px; border-radius: 8px; background: #f8fff8; }
        .valido { color: #27ae60; font-weight: bold; }
        .invalido { color: #e74c3c; font-weight: bold; }
        .info { margin: 10px 0; }
        .codigo { font-size: 1.2em; font-weight: bold; color: #2c3e50; }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1>🔥 Verificación de Certificado</h1>
            <p>Escuela Internacional de Bomberos del Oriente Colombiano</p>
        </div>

        <?php if ($codigo): ?>
            <?php if ($certificado): ?>
                <div class="certificado">
                    <h2 class="valido">✅ CERTIFICADO VÁLIDO</h2>
                    <div class="codigo">Código: <?php echo htmlspecialchars($certificado['codigo']); ?></div>
                    <div class="info"><strong>Participante:</strong> <?php echo htmlspecialchars($certificado['nombre'] . ' ' . $certificado['apellido']); ?></div>
                    <div class="info"><strong>Cédula:</strong> <?php echo htmlspecialchars($certificado['cedula']); ?></div>
                    <div class="info"><strong>Curso:</strong> <?php echo htmlspecialchars($certificado['curso_nombre']); ?></div>
                    <div class="info"><strong>Duración:</strong> <?php echo $certificado['duracion_horas']; ?> horas</div>
                    <div class="info"><strong>Fecha de Emisión:</strong> <?php echo $certificado['fecha_emision']; ?></div>
                    <div class="info"><strong>Estado:</strong> <?php echo ucfirst($certificado['estado']); ?></div>
                </div>
            <?php else: ?>
                <div class="certificado" style="border-color: #e74c3c; background: #fff8f8;">
                    <h2 class="invalido">❌ CERTIFICADO NO VÁLIDO</h2>
                    <p>El código <strong><?php echo htmlspecialchars($codigo); ?></strong> no corresponde a ningún certificado emitido.</p>
                </div>
            <?php endif; ?>
        <?php else: ?>
            <p>Por favor, proporcione un código de certificado para verificar.</p>
        <?php endif; ?>
    </div>
</body>
</html>
